<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$router->get('/', function () use ($router) {
    return $router->app->version();
});

$router->group(['prefix' => 'mashery'], function () use ($router) {
    //mashery/token
    $router->get('token', 'MasheryController@getToken');
});

$router->group(['middleware' => 'client.auth'], function () use ($router) {
    $router->group(['prefix' => 'user'], function () use ($router) {
        $router->get('by-username', 'UserController@getByUsername');
        $router->get('by-id', 'UserController@getById');
        $router->get('update', 'UserController@updateUser');
        $router->post('create', 'UserController@createUser');
    });

    $router->group(['prefix' => 'application'], function () use ($router) {
        $router->post('create', 'ApplicationController@create');
        $router->post('update', 'ApplicationController@update');
        $router->post('delete', 'ApplicationController@delete');
        $router->post('by-userid', 'ApplicationController@getByUserId');
        $router->post('by-appid', 'ApplicationController@getByAppId');
    });

    $router->group(['prefix' => 'package'], function () use ($router) {
        $router->get('package', 'PackagePlanController@getPackage');
        $router->get('plan', 'PackagePlanController@getPlan');
        $router->get('package-plan', 'PackagePlanController@getPackagePlan');
    });

    $router->group(['prefix' => 'packageKey'], function () use ($router) {
        $router->post('create', 'PackageKeyController@create');
        $router->post('activate', 'PackageKeyController@activate');
        $router->post('disable', 'PackageKeyController@disable');
        $router->post('delete', 'PackageKeyController@delete');
        $router->post('by-username', 'PackageKeyController@getByUser');
        $router->post('update-plan', 'PackageKeyController@updatePlan');
    });
});
